//two functions needed 
// one for reading light and one for lighting bulb 
#include <RBDdimmer.h>

//output and zero cross defines pins used by the dimmer 
#define outputPin 3
#define zeroCross 2

//define light dependent resistor variables and threshold
int ldrPin= A10;
int sensorValue=0;
int threshold =200;

//initialize port for dimmerPin
dimmerLamp dimmer(outputPin);
int outVal=0;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  dimmer.begin(NORMAL_MODE,ON);
  Serial.println("<---> Outdoor Lighting Activated   <--->");
}

void loop() {
  // put your main code here, to run repeatedly:
  lightDependent();
  check();
}


//reads and displays the light dependent resistor values .
void lightDependent(){
  sensorValue = analogRead(ldrPin);
  delay(250);
  Serial.print("\t LDR value is :");
  Serial.print(sensorValue);
  Serial.print(" ");
  
  }

//lightOn() ,lightOff()
void lightOn(){
  outVal = 12;
  dimmer.setPower(outVal);
  Serial.print("Light is on");
  Serial.println(" ");
  delay(200);
  
}
void lightOff(){
  outVal=0;
  dimmer.setPower(outVal);
  Serial.print("Light is off");
  Serial.println(" ");
  delay(200);
  
  }

void check(){
  if(sensorValue<threshold){
    lightOn();
    }
  else{
   lightOff();
  }
  }
